[android-components](../../index.md) / [mozilla.components.support.base.log.sink](../index.md) / [AndroidLogSink](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`AndroidLogSink(defaultTag: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)` = "App")`

LogSink implementation that writes to Android's log.

### Parameters

`defaultTag` - A default tag that should be used for all logging calls without tag.